Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.clustering
Class DefaultChannelProvider

    java.lang.Object
      org.modeshape.jcr.clustering.DefaultChannelProvider

All Implemented Interfaces:
  ChannelProvider

    public class DefaultChannelProvider

extends Object
implements ChannelProvider

A standard `ChannelProvider` implementation which creates a default `JChannel` instance using the provided configuration.

Author:
  Horia Chiorean

Constructor Summary
`DefaultChannelProvider()`

Method Summary
`org.jgroups.JChannel` | `getChannel(RepositoryConfiguration.Clustering clusteringConfig)` A method that is used to instantiate the `JChannel` object with the supplied configuration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultChannelProvider

    public DefaultChannelProvider()

Method Detail

### getChannel

    public org.jgroups.JChannel getChannel(RepositoryConfiguration.Clustering clusteringConfig)
                                    throws Exception

  Description copied from interface: `ChannelProvider`
  A method that is used to instantiate the `JChannel` object with the supplied configuration.

  Specified by:
    `getChannel` in interface `ChannelProvider`
  Parameters:
    `clusteringConfig` - the configuration; should not be null
  Returns:
    the JChannel instance; never null
  Throws:
    `Exception` - if there is a problem creating the new channel object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.